► |  | The Racket Graphical Interface Toolkit

1 | Windowing
2 | Widget Gallery
3 | Windowing Classes
4 | Windowing Functions
5 | Editors
6 | Snip and Style Classes
7 | Editor Classes
8 | Editor Functions
9 | WXME Decoding
10 | Preferences
11 | Dynamic Loading
12 | Startup Actions
13 | Platform Dependencies
| Index

▼ | 3 | Windowing Classes

3.1 | area<%>
3.2 | area-container<%>
3.3 | area-container-window<%>
3.4 | button%
3.5 | canvas<%>
3.6 | canvas%
3.7 | check-box%
3.8 | checkable-menu-item%
3.9 | choice%
3.10 | clipboard-client%
3.11 | clipboard<%>
3.12 | combo-field%
3.13 | control<%>
3.14 | column-control-event%
3.15 | control-event%
3.16 | cursor%
3.17 | dialog%
3.18 | event%
3.19 | frame%
3.20 | gauge%
3.21 | group-box-panel%
3.22 | grow-box-spacer-pane%
3.23 | horizontal-pane%
3.24 | horizontal-panel%
3.25 | key-event%
3.26 | labelled-menu-item<%>
3.27 | list-box%
3.28 | list-control<%>
3.29 | menu%
3.30 | menu-bar%
3.31 | menu-item<%>
3.32 | menu-item%
3.33 | menu-item-container<%>
3.34 | message%
3.35 | mouse-event%
3.36 | pane%
3.37 | panel%
3.38 | popup-menu%
3.39 | printer-dc%
3.40 | radio-box%
3.41 | selectable-menu-item<%>
3.42 | separator-menu-item%
3.43 | scroll-event%
3.44 | slider%
3.45 | subarea<%>
3.46 | subwindow<%>
3.47 | tab-panel%
3.48 | text-field%
3.49 | timer%
3.50 | top-level-window<%>
3.51 | vertical-pane%
3.52 | vertical-panel%
3.53 | window<%>

On this page:

get-clipboard-bitmap
get-clipboard-data
get-clipboard-string
same-clipboard-client?
set-clipboard-bitmap
set-clipboard-client
set-clipboard-string

top ← prev up next →

> interface

> clipboard<%> : interface?

A single clipboard<%> object, the-clipboard, manages the content of the system-wide clipboard for cut and paste.

On Unix, a second clipboard<%> object, the-x-selection-clipboard, manages the content of the system-wide X11 selection. If the 'GRacket:selectionAsClipboard preference preference (see Preferences) is set to a non-zero true value, however, then the-clipboard is always the same as the-x-selection-clipboard, and the system-wide X11 clipboard is not used.

On Windows and Mac OS X, the-x-selection-clipboard is always the same as the-clipboard.

Data can be entered into a clipboard in one of two ways: by setting the current clipboard string or byte string, or by installing a clipboard-client% object. When a client is installed, requests for clipboard data are directed to the client.

Generic data is always retrieved from the clipboard as a byte string. When retrieving clipboard data, a data type string specifies the format of the data string. The availability of different clipboard formats is determined by the current clipboard owner.

> > method

> > ( send a-clipboard get-clipboard-bitmap time)

> → ( or/c ( is-a?/c bitmap% ) #f)
> time : exact-integer?

Gets the current clipboard contents as a bitmap (Windows, Mac OS X), returning #f if the clipboard does not contain a bitmap.

See get-clipboard-data for information on eventspaces and the current clipboard client.

See Cut and Paste Time Stamps for a discussion of the time argument. If time is outside the platform-specific range of times, an exn:fail:contract exception is raised.

> > method

> > ( send a-clipboard get-clipboard-data |  | format |
> > |  | time) |

> → ( or/c bytes? string? #f)
> format : string?
> time : exact-integer?

Gets the current clipboard contents in a specific format, returning #f if the clipboard does not contain data in the requested format.

If the clipboard client is associated to an eventspace that is not the current one, the data is retrieved through a callback event in the client’s eventspace. If no result is available within one second, the request is abandoned and #f is returned.

See add-type in clipboard-client% for information on format.

See Cut and Paste Time Stamps for a discussion of the time argument. If time is outside the platform-specific range of times, an exn:fail:contract exception is raised.

> > method

> > ( send a-clipboard get-clipboard-string time) → string?

> time : exact-integer?

Gets the current clipboard contents as simple text, returning "" if the clipboard does not contain any text.

See get-clipboard-data for information on eventspaces and the current clipboard client.

See Cut and Paste Time Stamps for a discussion of the time argument. If time is outside the platform-specific range of times, an exn:fail:contract exception is raised.

> > method

> > ( send a-clipboard same-clipboard-client? owner) → boolean?

> owner : ( is-a?/c clipboard-client% )

Returns #t if owner currently owns the clipboard, #f otherwise.

> > method

> > ( send a-clipboard set-clipboard-bitmap |  | new-bitmap |  |  |  |
> > |  | time) |  | → |  | void?

> new-bitmap : ( is-a?/c bitmap% )
> time : exact-integer?

Changes the current clipboard contents to new-bitmap (Windows, Mac OS X) and releases the current clipboard client (if any).

See Cut and Paste Time Stamps for a discussion of the time argument. If time is outside the platform-specific range of times, an exn:fail:contract exception is raised.

> > method

> > ( send a-clipboard set-clipboard-client |  | new-owner |  |  |  |
> > |  | time) |  | → |  | void?

> new-owner : ( is-a?/c clipboard-client% )
> time : exact-integer?

Changes the clipboard-owning client: sets the client to new-owner and associates new-owner with the current eventspace (as determined by current-eventspace). The eventspace association is removed when the client is no longer the current one.

See Cut and Paste Time Stamps for a discussion of the time argument. If time is outside the platform-specific range of times, an exn:fail:contract exception is raised.

> > method

> > ( send a-clipboard set-clipboard-string |  | new-text |  |  |  |
> > |  | time) |  | → |  | void?

> new-text : string?
> time : exact-integer?

Changes the current clipboard contents to new-text, and releases the current clipboard client (if any).

See Cut and Paste Time Stamps for a discussion of the time argument. If time is outside the platform-specific range of times, an exn:fail:contract exception is raised.
top ← prev up next →